Subject: Re: information_schema and not-null constraints

From: Vik Fearing <[email-masked]>
Date: Wed, 6 Sep 2023 01:35:24 +0200

On 9/6/23 00:14, David G. Johnston wrote:
> 
> I'm not all that for either A or B since the status quo seems workable.

Pray tell, how is it workable?  The view does not identify a specific 
constraint because we don't obey the rules on one side and we do obey 
the rules on the other side.  It is completely useless and unworkable.

> Though ideally if the system has unique names per schema then everything
> should just work - having the views produce duplicated information (as
> opposed to nothing) if they are used when the DBA doesn't enforce the
> standard's requirements seems plausible.
Let us not engage in victim blaming.  Postgres is the problem here.
-- 
Vik Fearing